Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.entitycaps
Class EntityCapabilities

    java.lang.Object
      org.jivesoftware.openfire.entitycaps.EntityCapabilities

All Implemented Interfaces:
  Externalizable, Serializable, Cacheable

    public class EntityCapabilities

extends Object
implements Cacheable, Externalizable

Contains identities and supported features describing client capabilities for an entity.

Author:
  Armando Jagucki
See Also:
  Serialized Form

Constructor Summary
`EntityCapabilities()`

Method Summary
`boolean` | `containsFeature(String feature)` Determines whether or not a given feature is included in these entity capabilities.
`boolean` | `containsIdentity(String category, String type)` Determines whether or not a given identity is included in these entity capabilities.
`int` | `getCachedSize()` Returns the approximate size of the Object in bytes.
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityCapabilities

    public EntityCapabilities()

Method Detail

### containsIdentity

    public boolean containsIdentity(String category,
                                    String type)

  Determines whether or not a given identity is included in these entity capabilities.

  Parameters:
    `category` - the category of the identity
    `type` - the type of the identity
  Returns:
    true if identity is included, false if not

### containsFeature

    public boolean containsFeature(String feature)

  Determines whether or not a given feature is included in these entity capabilities.

  Parameters:
    `feature` - the feature
  Returns:
    true if feature is included, false if not

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### getCachedSize

    public int getCachedSize()

  Description copied from interface: `Cacheable`
  Returns the approximate size of the Object in bytes. The size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

  Specified by:
    `getCachedSize` in interface `Cacheable`
  Returns:
    the size of the Object in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.